# This is not archful information, and mimics RPM's paths
%global _debconfigdir %{_prefix}/lib/debbuild

Name:           debbuild
Version:        18.6.1
Release:        6%{?dist}
Summary:        Build Debian-compatible .deb packages from RPM .spec files

License:        GPLv2+
URL:            https://github.com/ascherer/debbuild/
Source0:        https://github.com/ascherer/debbuild/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  perl(Pod::Man)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       dpkg
Requires:       dpkg-dev

Requires:       pax, fakeroot, bash
Requires:       patch, bzip2, xz
%if 0%{?rhel} && 0%{?rhel} < 7
Requires:       /usr/bin/lsb_release
%endif
%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     quilt
%else
Requires:       quilt
%endif

%{?perl_default_filter}

%description
debbuild attempts to build Debian-friendly semi-native packages from
RPM spec files, RPM-friendly tarballs, and RPM source packages
(.src.rpm files).  It accepts most of the options rpmbuild does, and
should be able to interpret most spec files usefully.

%prep
%setup -q


%build
# Transfer version into the live systems
sed -e "s/@VERSION@/%{version}/g" -i debbuild
sed -e "s/@VERSION@/%{version}/g" -i Makefile


%install
%make_install
mkdir -p %{buildroot}%{_debconfigdir}/macros.d
cp macros/macros.in %{buildroot}%{_debconfigdir}/macros
cp config/debrc %{buildroot}%{_debconfigdir}/debrc
mkdir -p %{buildroot}%{_sysconfdir}/%{name}

%files
%{!?_licensedir:%global license %doc}
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*
%dir %{_debconfigdir}
%{_debconfigdir}/debrc
%{_debconfigdir}/macros
%dir %{_debconfigdir}/macros.d
%dir %{_sysconfdir}/debbuild

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 18.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 18.6.1-5
- Perl 5.30 rebuild

* Thu Mar  7 2019 Tim Landscheidt <tim@tim-landscheidt.de> - 18.6.1-4
- Remove obsolete requirement for %%post scriptlet

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 18.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 18.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Neal Gompa <ngompa13@gmail.com> - 18.6.1-1
- Rebase to 18.6.1

* Sun Jul 01 2018 Jitka Plesnikova <jplesnik@redhat.com> - 18.6.0-2
- Perl 5.28 rebuild

* Fri Jun 29 2018 Neal Gompa <ngompa13@gmail.com> - 18.6.0-1
- Rebase to 18.6.0

* Wed Jun 27 2018 Jitka Plesnikova <jplesnik@redhat.com> - 17.5.0-3
- Perl 5.28 rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 17.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 01 2017 Neal Gompa <ngompa13@gmail.com> - 17.5.0-1
- Rebase to 17.5.0

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 16.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 16.6.1-3
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 16.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 08 2016 Neal Gompa <ngompa13@gmail.com> - 16.6.1-1
- Update to 16.6.1

* Thu May 19 2016 Jitka Plesnikova <jplesnik@redhat.com> - 16.3.0-2
- Perl 5.24 re-rebuild of bootstrapped packages

* Sun May 15 2016 Neal Gompa <ngompa13@gmail.com> - 16.3.0-1
- Switch to ascherer fork, update to 16.3.0

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.11.2-3
- Perl 5.24 rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 16 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.11.2-1
- Update to 0.11.2

* Wed Jul  8 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-5
- Fix previous changelog entry

* Wed Jul  8 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-4
- Add magic definition for storing license file to work on <el7

* Wed Jul  8 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-3
- Fixed perl BuildRequires error for <el7

* Sun Jul  5 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-2
- Fix dependencies on dpkg-dev and xz
- Remove superfluous spec statements (BuildRoot, etc.)
- Make variable usage consistent

* Fri Jun 12 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 0.10.1-1
- Initial packaging
